Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#69334 - [murmur] Rename murmur to Mumble-Server

Attached to Project: Community Packages
Opened by G3ro (G3ro) - Friday, 15 January 2021, 15:10 GMT
Last edited by David Runge (dvzrv) - Sunday, 28 February 2021, 15:47 GMT
Task Type Feature Request
Category Packages: Extra
Status Waiting on Response
Assigned To Sven-Hendrik Haase (Svenstaro)
David Runge (dvzrv)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:
In an upstream discussion it was agreed that the use of "mumble-server" as the name should be suggested to package maintainers.
See: https://github.com/mumble-voip/mumble/issues/4046

You are of course free to ignore it, but I think it would be easier for users to find it and understand the difference etc.
This task depends upon

Comment by David Runge (dvzrv) - Friday, 15 January 2021, 15:35 GMT
@G3ro: Thanks for the ticket.

That's certainly something we can focus on for the next upgrade, if upstream manifests this change in their repository as well.
Comment by G3ro (G3ro) - Friday, 15 January 2021, 16:08 GMT
@dvzrv: Thx for the positive response.

Afaik the change is planned to be completed for release "1.4".
But it seems there are some discussions about also renaming the binaries, so maybe the binary names with "murmurd" etc. will stay this way.
I will talk to the team about it.
Comment by G3ro (G3ro) - Saturday, 06 February 2021, 15:09 GMT
For those interested there is a discussion thread upstream: https://github.com/mumble-voip/mumble/discussions/4699
Comment by David Runge (dvzrv) - Friday, 21 January 2022, 11:25 GMT
I guess upstream aimed at renaming with the 1.4 release, but it was not implemented fully.
This issue is tracked upstream in https://github.com/mumble-voip/mumble/issues/5436

Whenever upstream fixes the files and integration (ideally even installs those files), we can rename the package.

Loading...